Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PolicyHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyHelper

public class PolicyHelper
extends java.lang.Object

Helper class for : Policy

Author:
  OpenORB Compiler

Constructor Summary
`PolicyHelper()`

Method Summary
`static Policy` | `extract(Any a)` Extract Policy from an any
`static java.lang.String` | `id()` Return the Policy IDL ID
`static void` | `insert(Any a, Policy t)` Insert Policy into an any
`static Policy` | `narrow(Object obj)` Narrow CORBA::Object to Policy
`static Policy` | `read(InputStream istream)` Read Policy from a marshalled stream
`static TypeCode` | `type()` Return the Policy TypeCode
`static Policy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Policy
`static void` | `write(OutputStream ostream, Policy value)` Write Policy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyHelper

    public PolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Policy t)

  Insert Policy into an any
  Parameters:
    `a` - an any
    `t` - Policy value

### extract

    public static Policy extract(Any a)

  Extract Policy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Policy value

### type

    public static TypeCode type()

  Return the Policy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Policy IDL ID
  Returns:
    an ID

### read

    public static Policy read(InputStream istream)

  Read Policy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Policy value

### write

    public static void write(OutputStream ostream,
                             Policy value)

  Write Policy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Policy value

### narrow

    public static Policy narrow(Object obj)

  Narrow CORBA::Object to Policy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Policy Object

### unchecked_narrow

    public static Policy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Policy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Policy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD